.build_image_staging:
  stage: build_image_staging
  
  image: docker:19.03.10
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
  before_script:
    - apk add --no-cache curl jq python py-pip
    - python --version
    - pip install awscli
    - aws --version
    - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    - aws configure set region $AWS_DEFAULT_REGION
    - echo $AWS_DEFAULT_REGION
    - $(aws ecr get-login --no-include-email --region "${AWS_DEFAULT_REGION}")
  script:
    - echo "Building image..."
    - docker build -t $REPOSITORY_URL_SATAGING:$CI_COMMIT_TAG .
    - docker push $REPOSITORY_URL_SATAGING:$CI_COMMIT_TAG
